### Class

# Clutter ChildMeta

since: 13

#### Description [src]

    abstract class Clutter.ChildMeta : GObject.Object
    {
      container: ClutterContainer*,
      actor: ClutterActor*
    }

Base interface for container specific state for child actors.

A child data is meant to be used when you need to keep track of information about each individual child added to a container.

In order to use it you should create your own subclass of `ClutterChildMeta` and set the `ClutterContainerIface` child_meta_type interface member to your subclass type, like:

    static void
    my_container_iface_init (ClutterContainerIface *iface)
    {
      // set the rest of the #ClutterContainer vtable

      container_iface->child_meta_type  = MY_TYPE_CHILD_META;
    }

This will automatically create a `ClutterChildMeta` of type `MY_TYPE_CHILD_META` for every actor that is added to the container.

The child data for an actor can be retrieved using the `clutter_container_get_child_meta()` function.

The properties of the data and your subclass can be manipulated with `clutter_container_child_set()` and `clutter_container_child_get()` which act like `g_object_set()` and g_object_get().

You can provide hooks for your own storage as well as control the instantiation by overriding the `ClutterContainerIface` virtual functions `ClutterContainerIface`.create_child_meta(), `ClutterContainerIface`.destroy_child_meta(), and `ClutterContainerIface`.get_child_meta().

Available since: 13

#### Ancestors

- GObject

#### Descendants

- ClutterLayoutMeta

#### Instance methods

###### clutter_child_meta_get_actor

Retrieves the actor wrapped by `data`.

since: 13

###### clutter_child_meta_get_container

Retrieves the container using `data`.

since: 13

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.ChildMeta:actor

The `ClutterActor` being wrapped by this `ClutterChildMeta`.

since: 13

###### Clutter.ChildMeta:container

The `ClutterContainer` that created this `ClutterChildMeta`.

since: 13

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ClutterChildMetaClass {
      /* no available fields */
    }

The `ClutterChildMetaClass` contains only private data.